<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.market.mapper.AreaDsmMapper">

    <select id="listAllExistsAreaDsmCode" resultType="java.lang.String">
        select SAREACODE_JX
        from e_baseinfo eb
        where
        SAREACODE_JX is not null
        and exists(select 1 from area_dsm ad where ad.sarea_code = eb.SAREACODE_JX and ad.sarea_type != '01')
        group by SAREACODE_JX
        order by SAREACODE_JX asc
    </select>
</mapper>
